Update
Update a User Role.
Request
Section titled “Request”curl https://api.warpstream.com/api/v1/update_user_role \-H 'warpstream-api-key: XXXXXXXXXX' \-H 'Content-Type: application/json' \-d '{ "user_role_id": "pri_a777aaf8_c2a5_4cca_b147_cb6b727955d7", "sso_group_name": "groups_attribute/example", "access_grants": [ { "workspace_id": "wi_2c009f35_a5db_4d5f_8113_ada62da5261a", "managed_grant_name": "admin", "resource_id": "*" }, { "workspace_id": "wi_c0fc4beb_fb86_443d_a5b4_a624ce8fd74d", "managed_grant_name": "read_only", "resource_id": "*" } ], "new_user_role_name": "example-role-renamed"}'Response
Section titled “Response”{}